import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../../../apiParams.dart';
import '../talkApi.dart';
import 'reactMessageParams.dart';

class ReactMessage extends TalkApi {
  String chatToken;
  int messageId;
  ReactMessage({required this.chatToken, required this.messageId, required ReactMessageParams params}) : super('v1/reaction/$chatToken/$messageId', params);

  @override
  assemble(String raw) => null;

  @override
  Future<Response>? request(Uri uri, ApiParams? body, Map<String, String>? headers) {
    if(body is ReactMessageParams) {
      return http.post(uri, headers: headers, body: body.toJson());
    }
    return null;
  }

}
